<?xml version="1.0" encoding="UTF-8"?>
<itemizer language-context="markdown">
	
	<item name="markdown.header.h1">
		<start-zone>header.h1:has-child(name:capture(name)), setext.header.name.h1:capture(name)</start-zone>
		<end-before-zone>header.h1</end-before-zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>
	
	<item name="markdown.header.h2">
		<start-zone>header.h2:has-child(name:capture(name)), setext.header.name.h2:capture(name)</start-zone>
		<end-before-zone>header.h1, header.h2</end-before-zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>

	<item name="markdown.header.h3">
		<start-zone>header.h3:has-child(name:capture(name))</start-zone>
		<end-before-zone>header.h1, header.h2, header.h3</end-before-zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>

	<item name="markdown.header.h4">
		<start-zone>header.h4:has-child(name:capture(name))</start-zone>
		<end-before-zone>header.h1, header.h2, header.h3, header.h4</end-before-zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>

	<item name="markdown.header.h5">
		<start-zone>header.h5:has-child(name:capture(name))</start-zone>
		<end-before-zone>header.h1, header.h2, header.h3, header.h4, header.h5</end-before-zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>

	<item name="markdown.header.h6">
		<start-zone>header.h6:has-child(name:capture(name))</start-zone>
		<end-before-zone>header</end-before-zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>
	
</itemizer>